"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTranslation = exports.default = void 0;
var _i18next = _interopRequireDefault(require("i18next"));
var _en = _interopRequireDefault(require("./en"));
var _ar = _interopRequireDefault(require("./ar"));
var _redux = _interopRequireDefault(require("../redux"));
var _lodash = require("lodash");
var _env_vars = require("../env_vars");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
let allowedLanguagesList = ["ar"];
const allowLang = _env_vars.ALLOWED_LANGUAGE;
if (allowLang) {
  allowedLanguagesList = allowLang.split(',');
}
const defaultLang = _env_vars.ALLOWED_LANGUAGE;
const resources = {};
allowedLanguagesList.forEach(language => {
  if (!resources[language]) {
    resources[language] = {
      translation: language == "ar" ? _ar.default : _en.default
    };
  }
});
_i18next.default.init({
  resources,
  lng: "ar",
  keySeparator: false,
  interpolation: {
    escapeValue: false
  }
});
const getTranslation = function (label) {
  let isRTL = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _redux.default.getState().general.isRTL;
  let options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  const currentLang = isRTL ? "ar" : "en";
  const lang = resources[currentLang] && currentLang || defaultLang;
  return _i18next.default.t(label, {
    lng: lang,
    ...options
  });
};
exports.getTranslation = getTranslation;
var _default = exports.default = _i18next.default;