"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createNewTab = exports.closeTab = exports.closeAllTabs = exports.changeTabVS = exports.changeActiveTab = exports.TABS_ACTIONS_TYPES = void 0;
const TABS_ACTIONS_TYPES = exports.TABS_ACTIONS_TYPES = {
  NEW_TAB: "NEW_TAB",
  CHANGE_TAB_VS: "CHANGE_TAB_VS",
  CHANGE_ACTIVE_TAB: "CHANGE_ACTIVE_TAB",
  CLOSE_TAB: "CLOSE_TAB",
  CLOSE_ALL_TABS: "CLOSE_ALL_TABS"
};
const createNewTab = function (usecaseId) {
  let id = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  let mainTab = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  return {
    type: TABS_ACTIONS_TYPES.NEW_TAB,
    id,
    usecaseId,
    mainTab
  };
};
exports.createNewTab = createNewTab;
const changeTabVS = (usecaseId, id) => ({
  type: TABS_ACTIONS_TYPES.CHANGE_TAB_VS,
  id,
  usecaseId
});
exports.changeTabVS = changeTabVS;
const changeActiveTab = id => ({
  type: TABS_ACTIONS_TYPES.CHANGE_ACTIVE_TAB,
  id
});
exports.changeActiveTab = changeActiveTab;
const closeTab = id => ({
  type: TABS_ACTIONS_TYPES.CLOSE_TAB,
  id
});
exports.closeTab = closeTab;
const closeAllTabs = () => ({
  type: TABS_ACTIONS_TYPES.CLOSE_ALL_TABS
});
exports.closeAllTabs = closeAllTabs;