"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _redux = require("redux");
var Sentry = _interopRequireWildcard(require("@sentry/react"));
var _reduxLogger = _interopRequireDefault(require("redux-logger"));
var _reduxSaga = _interopRequireDefault(require("redux-saga"));
var _reduxThunk = _interopRequireDefault(require("redux-thunk"));
var _sagas = _interopRequireDefault(require("./sagas"));
var _general = _interopRequireDefault(require("./reducers/general"));
var _viewStatus = _interopRequireDefault(require("./reducers/viewStatus"));
var _tabs = _interopRequireDefault(require("./reducers/tabs"));
var _initializer = require("../initializer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
// import rootReducer from "./reducers";

//import { getNotificationMethod } from "../initializer";
//import { showNotification } from "../config/notifications";

const bindMiddleware = middleware => (0, _redux.applyMiddleware)(...middleware);
const rootReducer = {
  general: _general.default,
  viewStatus: _viewStatus.default,
  tabs: _tabs.default
};
function createReducer(customReducers) {
  return (0, _redux.combineReducers)({
    ...rootReducer,
    ...customReducers
  });
}
function configureStore() {
  let initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  //const showNotification = getNotificationMethod();
  const sagaMiddleware = (0, _reduxSaga.default)({
    onError: error => {
      //showNotification({ message: error.name, description: error.message, type: "error" });
    }
  });
  const middlewares = [_reduxThunk.default, sagaMiddleware];
  if (process.env.NODE_ENV === "development") {
    middlewares.push(_reduxLogger.default);
  }
  const store = (0, _redux.createStore)(createReducer((0, _initializer.getCustomReducers)()), initialState, (0, _redux.compose)(bindMiddleware(middlewares), a => a));
  store.injectReducer = (key, customReducer) => {
    if (!("customReducers" in store)) {
      store.customReducers = {};
    }
    store.customReducers[key] = customReducer;
    store.replaceReducer(createReducer(store.customReducers));
  };
  store.sagaTask = sagaMiddleware.run(_sagas.default);
  return store;
}
const store = configureStore();
var _default = exports.default = store;