"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _uuid = require("uuid");
var _tabs = require("../actions/tabs");
const INITIAL_STATE = {
  tabs: [{
    id: "popup",
    usecaseId: null,
    mainTab: false
  }],
  currentActiveTab: "home"
};
var _default = exports.default = function _default() {
  let state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : INITIAL_STATE;
  let action = arguments.length > 1 ? arguments[1] : undefined;
  switch (action.type) {
    case _tabs.TABS_ACTIONS_TYPES.NEW_TAB:
      // eslint-disable-next-line no-case-declarations
      const tabId = "".concat(action.id || (0, _uuid.v4)());
      return {
        ...state,
        currentActiveTab: action.mainTab ? tabId : state.currentActiveTab,
        tabs: [...state.tabs, {
          id: tabId,
          usecaseId: action.usecaseId,
          mainTab: action.mainTab
        }]
      };
    case _tabs.TABS_ACTIONS_TYPES.CHANGE_TAB_VS:
      // eslint-disable-next-line no-case-declarations
      const currentTabIndex = state.tabs.findIndex(item => item.id === action.id);
      // eslint-disable-next-line no-case-declarations
      const newTabsAfterChange = state.tabs;
      newTabsAfterChange[currentTabIndex].usecaseId = action.usecaseId;
      return {
        ...state,
        tabs: [...newTabsAfterChange]
      };
    case _tabs.TABS_ACTIONS_TYPES.CHANGE_ACTIVE_TAB:
      return {
        ...state,
        currentActiveTab: action.id
      };
    case _tabs.TABS_ACTIONS_TYPES.CLOSE_TAB:
      // eslint-disable-next-line no-case-declarations
      let newTabsAfterClose = state.tabs;
      if (action.id === "popup") {
        const index = newTabsAfterClose.findIndex(item => item.id === action.id);
        newTabsAfterClose[index].usecaseId = null;
      } else {
        newTabsAfterClose = state.tabs.filter(item => item.id !== action.id);
      }
      return {
        ...state,
        tabs: [...newTabsAfterClose],
        currentActiveTab: state.currentActiveTab === action.id ? "home" : state.currentActiveTab
      };
    case _tabs.TABS_ACTIONS_TYPES.CLOSE_ALL_TABS:
      return {
        ...INITIAL_STATE
      };
    default:
      return state;
  }
};